%global drupalver 6
%global drupal drupal%{drupalver}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname oracle

Name:    drupal6-%{modname}
Version: 6.x.1.1
Release: 1.vvm%{?dist}
Summary: oracle support
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/oracle-6.x-1.1.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0

%description
Provide oracle supprt for drupal

%prep
%setup -qn %{modname}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
cp -pr * %{buildroot}%{drupaldir}/modules/%{modname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt INSTALL.oracle.txt install.oracle.patch
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/INSTALL.oracle.txt
%exclude %{drupaldir}/modules/%{modname}/install.oracle.patch
%{drupaldir}/modules/%{modname}

%changelog
* Mon Apr 02 2012 vvm@mammoth.jinr.ru
- initial build
